"""Document the API for parse modules.

These are modules that contain parsing routines, mostly for HTTP headers.
There's no official API to follow, but keep the following in mind:

* Some of this code is shared by Glass.
* You should not need a ``Context`` object, nor should you subclass
  AquariumClass_.  Take a value and return a value.  Most of the time, you
  probably don't even need a class.
* Be prepared to accept ``None`` as a header value.  This signifies that the
  header wasn't present.
* If you can do a little more than just parse the header, such as do something
  related to the header's meaning, all the better, if it prevents code
  duplication.

.. _aquarium.util.AquariumClass:
   aquarium.util.AquariumClass.AquariumClass-class.html

"""

__docformat__ = "restructuredtext"

# Created: Thu Apr 28 02:45:20 PDT 2005
# Author: Shannon -jj Behrens
# Email: jjinux@users.sourceforge.net
#
# Copyright (c) Shannon -jj Behrens.  All rights reserved.
