"""Like aquarium.urlscheme.ScriptName_, but without the server name.

.. _aquarium.urlscheme.ScriptName:
   aquarium.urlscheme.ScriptName-module.html

"""

__docformat__ = "restructuredtext"

# Created: Tue Feb  7 14:03:59 PST 2006
# Author: Kyle Vanderbeek
# Email: kylev@users.sourceforge.net
#
# Copyright (c) Kyle Vanderbeek.  All rights reserved.

from aquarium.urlscheme.ScriptName import ScriptName


class RelativeScriptName(ScriptName):

    """Like aquarium.urlscheme.ScriptName_, but without the server name.

    This is like the ScriptName except that it doesn't include the full server
    name and port, which ScriptName may not figure out correctly in some
    environments (such as glass behind mod_proxy).

    .. _aquarium.urlscheme.ScriptName:
       aquarium.urlscheme.ScriptName-module.html

    """

    def getRootUrl(self, secure=-1):
        """Return '/', the relative root of your web server.

        The "secure" flag is ignored.

        """
        return '/'
