"""Use this if you want more than just a string for ``actionResults``."""

__docformat__ = "restructuredtext"

# Created: Fri Apr 23 11:20:46 PDT 2004
# Author: Shannon -jj Behrens
# Email: jjinux@users.sourceforge.net
#
# Copyright (c) Shannon -jj Behrens.  All rights reserved.


class ActionResults:

    """Use this if you want more than just a string for ``actionResults``.

    Aside from behaving like a string, you can add additional attributes as
    necessary to instances of this class.

    The following attributes are available:

    actionResults
      This is the string give to us in the constructor.

    """

    def __init__(self, actionResults, **kargs):
        """Accept the ``actionResults``.

        Any other keyword arguments will just be added to ``self.__dict__``.

        """
        self.actionResults = actionResults
        self.__dict__.update(kargs)

    def __str__(self):
        """Return ``actionResults``."""
        return self.actionResults
