"""Welcome to Glass!

Introduction
============

Glass is a simple Web server based on classes from the standard Python library.

Philosophy
==========

Glass is a simple-to-use, extremely small, multi-threaded Web server that sits
in front of Aquarium_.

Although Nessus_ was unable to find any vulnerabilities in Glass, please note
that it is still easy to DoS Glass.  It is not my goal to try to replace
Apache_.  You might even want to use Apache as a proxy *in front* of Glass.
The `Glass Web server adaptor`_ documentation explains how.

Getting Started
===============

::

    from glass.HTTPServer import test
    test()

Note that ``test`` is just a thin wrapper around the
glass.HTTPServer.HTTPServer_.  Switch to calling glass.HTTPServer.HTTPServer
directly once you are up and running.

Learning More
=============

Glass's architecture is mostly the result of the architecture in SocketServer
and BaseHTTPServer.  Here are the main pieces of Glass:

glass.HTTPServer_
  This contains most of what makes a server a server.

glass.HTTPHandler_
  This subclasses BaseHTTPServer.  It knows how to handle an HTTP request
  including when and how to pass it off to Aquarium.

glass.ServerContext_
  This is a trivial "configuration file".

glass.servertype
  This is a package for modules called "server types".  See
  glass.servertype.Standard_.

.. _Aquarium: http://aquarium.sf.net
.. _Nessus: http://nessus.org
.. _Apache: http://apache.org
.. _Glass Web server adaptor:
   http://aquarium.sourceforge.net/api/public/aquarium.wsadaptor.GlassAdaptor.GlassAdaptor-class.html

.. _glass.HTTPServer: glass.HTTPServer-module.html
.. _glass.HTTPHandler: glass.HTTPHandler.HTTPHandler-class.html
.. _glass.ServerContext: glass.ServerContext.ServerContext-class.html
.. _glass.servertype.Standard: glass.servertype.Standard.Standard-class.html
.. _glass.HTTPServer.HTTPServer: glass.HTTPServer-module.html#HTTPServer

"""

__docformat__ = "restructuredtext"

# Created: Wed Feb  9 01:14:39 GMT 2005
# Author: Shannon -jj Behrens
# Email: jjinux@users.sourceforge.net
#
# Copyright (c) Shannon -jj Behrens.  All rights reserved.
